# The password for the MySQL database
mysql_password: toxic8_teary

# The DB to use
slurm_db: slurm_acct_db

# Slurm db port
port: 6819

# Name of the slurm cluster
cluster: slurm_cluster

select_type_parameters: "CR_CPU_Memory"

slurm_state_save_location: /var/tmp/slurm.state

# time slurmctld waits before declaring a slurmd node as "down"
# due to the slurm primary being in AWS while our worker nodes are local
slurmd_timeout_seconds: 3600
# The interval, in seconds, that the backup controller waits for the
# primary controller to respond before assuming control.
slurmctld_timeout_seconds: 60


# Logs to index in ELK with filebeat
filebeat_log_files:
  - name: "/var/log/slurm/slurmd.logfile"
    type: slurmd_log

filebeat_es_endpoint: "https://search-metrics-production-c65mdhdibmbmkl4pfiqsj5yhmq.us-west-2.es.amazonaws.com:443"

tmp_disk_mb: 10000

# Cloud burst Settings
cloud_burst_framework: "/usr/local/etc/framework.py"
cloud_burst_config: "/usr/local/etc/config.py"
cloud_burst_local_config: "/usr/local/etc/local_config.py"
cloud_burst_suspend_program: "/usr/local/etc/cloud_burst_suspend_program.py"
cloud_burst_resume_program: "/usr/local/etc/cloud_burst_resume_program.py"
cloud_burst_state_graph: "/usr/local/etc/cloud_burst_state_graph.py"
cloud_burst_partitions:
  [
    "aws",
    "locked_down",
    "cloud_burst_ingest_1",
    "cloud_burst",
    "cloud_burst_cpu_usw1",
    "cloud_burst_gpu_usw1",
    "cloud_burst_cpu_usw2",
    "cloud_burst_gpu_usw2",
    "cloud_burst_ingest_pdx",
    "cloud_burst_pdx",
    "cloud_burst_gpu_usw2",
  ]
# These partitions are assumed to be managed manually but use the bursting mechanism from cloudburst
cloud_nodes_but_no_burst_partition:
  [
    test_harness_staging
  ]
on_prem_node_weight: 1
cloud_node_weight: 4
cloud_burst_node_suspend_time: 900
cloud_burst_node_suspend_timeout: 250
cloud_burst_node_resume_timeout: 600
cloud_burst_batch_start_timeout: 300

cloud_burst_v2_nodes_test: {}

cloud_burst_v2_nodes_staging:
  aws-cpu[0-10]: {
      Partition: "cloud_burst_cpu",
      Config: "Boards=1 SocketsPerBoard=2 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=509000 TmpDisk=10000", # R5.16XLARGE
      GresGpu: "",
    }
  aws-gpu-g4dn-4xl[0-10]: {
      Partition: "cloud_burst_gpu",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=62000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:1", # G4DN.4XL
      GresGpu: "/dev/nvidia0",
    }
  aws-gpu-p3-8xl[0-10]: {
      Partition: "cloud_burst_gpu_p3_8xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=243000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:4", # P3.8XL
      GresGpu: "/dev/nvidia[0-3]",
    }
  aws-gpu-p4-24xl[0-20]: {
      Partition: "cloud_burst_gpu_p4_24xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=6 RealMemory=1147000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:8", # P4.24XL
      GresGpu: "/dev/nvidia[0-7]",
    }
  aws-cpu-t3-sm[0-450]: {
      Partition: "test_harness_staging",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=1 ThreadsPerCore=2 RealMemory=1955 TmpDisk=1000",
      GresGpu: "",
    }

cloud_burst_v2_nodes_production:
  aws-cpu[0-50]: {
      Partition: "cloud_burst_cpu",
      Config: "Boards=1 SocketsPerBoard=2 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=509000 TmpDisk=10000", # R5.16XLARGE
      GresGpu: "",
    }
  aws-gpu-g4dn-4xl[0-750]: {
      Partition: "cloud_burst_gpu_4xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=62000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:1", # G4DN.4XL
      GresGpu: "/dev/nvidia0",
    }
  aws-gpu-g4dn-8xl[0-100]: {
      Partition: "cloud_burst_gpu_8xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=126000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:1", # G4DN.8XL
      GresGpu: "/dev/nvidia0",
    }
  aws-gpu-g4dn-16xl[0-100]: {
      Partition: "cloud_burst_gpu_16xl",
      Config: "Boards=1 SocketsPerBoard=2 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=254000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:1", # G4DN.16XL
      GresGpu: "/dev/nvidia0",
    }
  aws-gpu-p3-8xl[0-100]: {
      Partition: "cloud_burst_gpu_p3_8xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=243000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:4", # P3.8XL
      GresGpu: "/dev/nvidia[0-3]",
    }
  aws-gpu-p4-24xl[0-50]: {
      Partition: "cloud_burst_gpu_p4_24xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=6 RealMemory=1147000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:8", # P4.24XL
      GresGpu: "/dev/nvidia[0-7]",
    }

cloud_burst_v2_nodes_production2:
  aws-cpu[0-50]: {
      Partition: "cloud_burst_cpu",
      Config: "Boards=1 SocketsPerBoard=2 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=509000 TmpDisk=10000", # R5.16XLARGE
      GresGpu: "",
    }
  aws-gpu-g4dn-4xl[0-750]: {
      Partition: "cloud_burst_gpu_4xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=62000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:1", # G4DN.4XL
      GresGpu: "/dev/nvidia0",
    }
  aws-gpu-g4dn-8xl[0-100]: {
      Partition: "cloud_burst_gpu_8xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=126000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:1", # G4DN.8XL
      GresGpu: "/dev/nvidia0",
    }
  aws-gpu-g4dn-16xl[0-100]: {
      Partition: "cloud_burst_gpu_16xl",
      Config: "Boards=1 SocketsPerBoard=2 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=254000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:1", # G4DN.16XL
      GresGpu: "/dev/nvidia0",
    }
  aws-gpu-p3-8xl[0-100]: {
      Partition: "cloud_burst_gpu_p3_8xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=243000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:4", # P3.8XL
      GresGpu: "/dev/nvidia[0-3]",
    }
  aws-gpu-p4-24xl[0-50]: {
      Partition: "cloud_burst_gpu_p4_24xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=6 RealMemory=1147000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:8", # P4.24XL
      GresGpu: "/dev/nvidia[0-7]",
    }

cloud_burst_v2_nodes_staging2:
  aws-cpu[0-10]: {
      Partition: "cloud_burst_cpu",
      Config: "Boards=1 SocketsPerBoard=2 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=509000 TmpDisk=10000", # R5.16XLARGE
      GresGpu: "",
    }
  aws-gpu-g4dn-4xl[0-10]: {
      Partition: "cloud_burst_gpu",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=8 ThreadsPerCore=2 RealMemory=62000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:1", # G4DN.4XL
      GresGpu: "/dev/nvidia0",
    }
  aws-gpu-p3-8xl[0-10]: {
      Partition: "cloud_burst_gpu_p3_8xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=2 RealMemory=243000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:4", # P3.8XL
      GresGpu: "/dev/nvidia[0-3]",
    }
  aws-gpu-p4-24xl[0-20]: {
      Partition: "cloud_burst_gpu_p4_24xl",
      Config: "Boards=1 SocketsPerBoard=1 CoresPerSocket=16 ThreadsPerCore=6 RealMemory=1147000 TmpDisk=10000 Gres=nvenc-streams:2,gpu:aws:8", # P4.24XL
      GresGpu: "/dev/nvidia[0-7]",
    }
